<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__rsa__pub__key__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_rsa_pub_key_t</compoundname>
    <includes local="no">cy_crypto_common.h</includes>
    <briefdescription>
<para>All fields for the context structure are internal. </para>    </briefdescription>
    <detaileddescription>
<para>Firmware never reads or writes these values. Firmware allocates the structure and provides the address of the structure to the driver in the function calls. Firmware must ensure that the defined instance of this structure remains in scope while the drive is in use.</para><para>The driver uses this structure to store and manipulate the RSA public key and additional coefficients to accelerate RSA calculation.</para><para>RSA key contained from two fields:<itemizedlist>
<listitem><para>n - modulus part of the key</para></listitem><listitem><para>e - exponent part of the key.</para></listitem></itemizedlist>
</para><para>Other fields are accelerating coefficients and can be calculated by <ref kindref="member" refid="group__group__crypto__cli__functions_1gaf7d03e6a13f42bae1fbbcf6c05730129">Cy_Crypto_Rsa_CalcCoefs</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The &lt;b&gt;modulus&lt;/b&gt; and &lt;b&gt;exponent&lt;/b&gt; values in the &lt;a href="structcy__stc__crypto__rsa__pub__key__t.html#"&gt;cy_stc_crypto_rsa_pub_key_t&lt;/a&gt; must also be in little-endian order.&lt;br /&gt; Use &lt;a href="group__group__crypto__cli__functions.html#group__group__crypto__cli__functions_1gabd4ba58c8fef2e5dc952995774cfb760"&gt;Cy_Crypto_InvertEndianness&lt;/a&gt; function to convert to or from little-endian order. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>    </detaileddescription>
    <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="285" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="286" />
    <listofallmembers>
    </listofallmembers>
  </compounddef>
</doxygen>